Bug 401361 - Xenoprof backtrace support
Xenoprof backtrace support
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.1
All Linux
low Severity low
: ---
: ---
Assigned To: Markus Armbruster
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-27 11:58 EST by Markus Armbruster
Modified: 2008-04-23 13:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-19 13:43:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Trivial rediff of xen-unstable.hg changesets 13213:bf25488db8eb and 13217:338ceb7b1f09 (4.09 KB, patch)
2007-12-19 04:08 EST, Markus Armbruster
no flags Details | Diff
Trivial rediff of upstream patch (6.43 KB, patch)
2007-12-19 04:18 EST, Markus Armbruster
no flags Details | Diff

  None (edit)
Description Markus Armbruster 2007-11-27 11:58:09 EST
Description of problem:
Rebasing the HV to 3.1.2 brings in the hypervisor part of Xenoprof backtrace
support (xen-3.1-testing.hg cset 15157:76bde58ffeac).  The kernel part is in
linux-2.6.18-xen.hg csets 36 and 37.  Diffstat:

 drivers/xen/xenoprof/xenoprofile.c |  102 ++++++++++++++++++++++++++-----------
 include/xen/interface/xenoprof.h   |    8 ++
 2 files changed, 80 insertions(+), 30 deletions(-)

The header is public, so we need to be extra careful there.  The change adds
three macros, and bumps the value of macro XENOPROF_last_op from 14 to 15.  I
figure that's safe, but we better make sure.

I figure not taking these patches won't break anything.  Taking them gives us
backtrace support, which would be nice to have.
Comment 2 Markus Armbruster 2007-12-19 04:08:11 EST
Created attachment 289993 [details]
Trivial rediff of xen-unstable.hg changesets 13213:bf25488db8eb and 13217:338ceb7b1f09
Comment 3 Markus Armbruster 2007-12-19 04:16:53 EST
Comment on attachment 289993 [details]
Trivial rediff of xen-unstable.hg changesets 13213:bf25488db8eb and 13217:338ceb7b1f09

Oops, wrong bugzilla.
Comment 4 Markus Armbruster 2007-12-19 04:18:37 EST
Created attachment 289995 [details]
Trivial rediff of upstream patch
Comment 5 Brian Stein 2007-12-19 13:43:03 EST
Updating status per related xenoprofile patches not destined for RHEL5.

Note You need to log in before you can comment on or make changes to this bug.